---
title: Page moving
slug: MDN/Tools/Page_moving
tags:
  - Guide
  - MDN Meta
  - Page-level
  - Tools
---
<div>{{MDNSidebar}}</div>

<p>Why move a page (or tree of pages)? Perhaps it was created at the top level of the site instead of in the proper place in the site hierarchy. Perhaps you're reorganizing existing documentation. Or maybe you need to archive obsolete content. For these reasons, MDN has a page move function, which can move not just one page, but a page and all its subpages.</p>

<p><span class="seoSummary">The <strong>page move tool</strong> lets an editor change the URL or slug of a document, and all its sub-pages, in the MDN tree. It is a powerful tool that is very handy when reorganizing pages, or fixing incorrectly positioned pages.</span></p>

<div class="note">
<p><strong>Note:</strong> Only users with special privileges can move pages on MDN. If you don't see the <strong>Move this page</strong> option on the <strong>Advanced</strong> menu, you don't have the needed privilege to use it. See <a href="#Restricted_access">Restricted access</a> below to find out about gaining this privilege.</p>
</div>

<h2 id="How_to_move_pages">How to move pages</h2>

<p>To move a page or tree of pages:</p>

<ol>
 <li>Open the <strong>Advanced</strong> menu near the top-right corner of the MDN page you wish to move.<br>
  <img alt="" src="https://mdn.mozillademos.org/files/11097/The_MDN_project___MDN.png" style="height: 220px; width: 259px;"></li>
 <li>Click  <strong>Move this page</strong>.  The "Move page" screen appears, which looks something like this:<br>
  <img alt="" src="https://mdn.mozillademos.org/files/11099/Move_Article___Glossary___MDN.png" style="border-style: solid; border-width: 1px; height: 436px; width: 560px;"><br>
  At the top, in large all-caps, you see the title of the page you're preparing to move, followed by a list of tips and reminders about how to properly fill out the form for moving the page. Although the page title is editable here, changing it does not actually work. Any changes made to the page title here will not be applied. See {{bug(828533)}} for the status of this issue.</li>
 <li>Next to <strong>New Slug</strong>, fill out the full slug you want to move your page to. Above the edit box is the <strong>Preview URL</strong>, which shows the full URL that the page will have after being moved, assuming you use the current <strong>New Slug</strong> value.</li>
 <li>Look at the list of all the subpages that will be affected by the move operation, under the <strong>Move N pages</strong> and <strong>Cancel</strong> buttons. If there are no subpages, there is a note saying so. This list can help you determine if your page move is likely to have unanticipated side effects. Be careful to avoid moving popular content, or performing moves of large numbers of pages all at once.</li>
 <li>Once you're sure everything's configured just the way you want it, click the <strong>Move N pages</strong> button. This starts an asynchronous, background process that moves each page <strong>and</strong> places a redirect at the original location of the page, so that the old URL continues to work via redirect. You'll receive an email once the move process is complete; the email includes a link you can click to get to the base page's new location.</li>
</ol>

<h2 id="Restricted_access">Restricted access</h2>

<p>There is obvious potential for doing harm by moving content to strange places, so this tool is not available to all users.</p>

<h3 id="Roles_that_have_this_privilege">Roles that have this privilege</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Admins"><strong>Admins</strong></a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Topic_driver_role"><strong>Topic drivers</strong></a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Localization_driver_role"><strong>Localization drivers</strong></a></li>
</ul>

<h3 id="Conditions_for_gaining_this_privilege">Conditions for gaining this privilege</h3>

<p>You can obtain access to this tool if you meet the following conditions:</p>

<ul>
 <li>You have a <strong>regular</strong> need for it (for example, if you frequently need to move pages or are working on a significant refactoring of a topic). If you only occasionally need to move pages, just ask an admin to do it.</li>
 <li>You edit MDN regularly, and are familiar with our <a href="/en-US/docs/MDN/Contribute/Content/Style_guide#Page_titles">page naming</a> conventions.</li>
</ul>

<p>See <a href="/en-US/docs/MDN/Contribute/Processes/Requesting_elevated_privileges">Requesting elevated privileges</a> for the process for gaining this privilege.</p>
